Bug 1459898 - Newer installer options on upgraded setup and not on fresh box
Newer installer options on upgraded setup and not on fresh box
Status: ON_QA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Upgrades (Show other bugs)
6.2.10
Unspecified Unspecified
medium Severity medium (vote)
: GA
: --
Assigned To: Eric Helms
Katello QA List
: PrioBumpQA, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 09:26 EDT by Sanket Jagtap
Modified: 2017-12-06 01:39 EST (History)
6 users (show)

See Also:
Fixed In Version: satellite-installer-6.3.0.3
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sanket Jagtap 2017-06-08 09:26:12 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Upgraded Satellite 6.1.z to 6.2.10 snap3
Upgraded Satellite 6.2.z to 6.2.10 snap3

How reproducible:
Always 

We have the Installer test failing on our upgrade setup which looks for changes on installer options and flags.
This is seen on both 6.1.z -> 6.2.10 snap3 and 6.2.z ->6.2.10 snap3

E       AssertionError: Items in the second set but not the first:
E       u'--[no-]enable-foreman-plugin-templates'
E       u'--foreman-plugin-puppetdb-address'
E       u'--[no-]enable-foreman-plugin-setup'
E       u'--foreman-plugin-puppetdb-dashboard-address'
E       u'--[no-]enable-foreman-plugin-hooks'
E       u'--[no-]enable-foreman-plugin-chef'
E       u'--[no-]enable-foreman-plugin-puppetdb'
E       u'--[no-]enable-foreman-plugin-default-hostgroup'
E       u'--foreman-plugin-puppetdb-package'


I don't see these options on a freshly installed box.


Additional info:

Note You need to log in before you can comment on or make changes to this bug.